Last Comment Bug 59820 - All occurrences of question icon should be removed
: All occurrences of question icon should be removed
Status: NEW
[Halloween2011Bug]
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://lxr.mozilla.org/seamonkey/sear...
Depends on: 43672 81155 94839
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-10 21:48 PST by Matthew Paul Thomas
Modified: 2011-10-30 16:28 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Matthew Paul Thomas 2000-11-10 21:48:11 PST
Many dialogs and alerts in Mozilla are using an icon of a question mark inside a 
speech bubble. This is bad UI -- firstly because the icon provides no useful 
information, and secondly because the user may think that the question mark means 
that the dialog or alert is providing user help. Mac OS has never had such an 
icon in its native alerts, and on Windows its use is discouraged
<http://msdn.microsoft.com/library/books/winguide/ch09f.htm>.

All occurrences of the question icon should be changed as follows.

* Where an alert is telling the user that a command the user gave could not be
  carried out because of an error, the error icon (white cross within a red
  circle on Windows, open hand within a stop sign on Mac OS) should be used.
  Example: `Mozilla could not check for new messages from imap.foo.bar because
  the mail server is not responding.'

* Where an alert is telling the user about anything other than an error, the info
  icon (`i' in a speech bubble on Windows, face with a speech bubble on Mac OS)
  should be used. Example: `The string "armadillo" was not found.'

* Where a dialog is asking the user to choose between two or more options, at
  least one of which is potentially destructive, the caution icon (`!' in a
  yellow triangle) should be used. Example: `Overwrite existing "KingFred.html"?'

* In any other situation, a dialog should either use a custom icon relating to
  the subject of the dialog (e.g. a keyring icon when asking for a password), or
  use no icon at all.
Comment 1 Blake Ross 2000-11-17 15:58:06 PST
taking...
Comment 2 Håkan Waara 2001-01-23 10:45:11 PST
Matthew: should we skip the icon altogether, or do you know what icon to use?
Comment 3 Matthew Paul Thomas 2001-01-24 22:26:03 PST
Håkan, the appropriate icons to use are described in the initial bug report 
above. If you have doubts about which one is appropriate for a particular 
dialog, just ask.
Comment 4 Blake Ross 2001-06-17 00:09:36 PDT
--> Ben
Comment 5 Mark Bitterling 2002-11-19 10:14:48 PST
Why is this dependant on bug 81155 ?
Comment 6 Matthew Paul Thomas 2002-11-22 02:04:08 PST
Because the alert to be demolished in bug 81155 is one of the errant
question-mark-icon-using ones.

In other news: Since I filed this bug, the Gnome interface guidelines have been 
published. Like those for Windows and Mac OS, the guidelines for Gnome do not 
support the use of a question mark icon in any alert.
<http://developer.gnome.org/projects/gup/hig/1.0/windows.html#alert-windows>
Comment 7 Robert Kaiser 2009-06-14 07:43:30 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 8 Robert Kaiser 2009-06-14 07:47:53 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 9 Robert Kaiser 2009-06-14 07:52:19 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 10 Robert Kaiser 2009-06-14 08:38:56 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 11 Robert Kaiser 2009-06-14 08:51:12 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 12 Robert Kaiser 2009-06-14 15:04:24 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 13 Robert Kaiser 2010-04-28 13:33:40 PDT
MASS-CHANGE:
This bug report is registered in the SeaMonkey product, but still has no comment since the inception of the SeaMonkey project 5 years ago.

Because of this, we're resolving the bug as EXPIRED.

If you still can reproduce the bug on SeaMonkey 2 or otherwise think it's still valid, please REOPEN it and if it is a platform or toolkit issue, move it to the according component.

Query tag for this change: EXPIRED-20100420
Comment 14 Karsten Düsterloh 2011-10-30 16:28:05 PDT
Still valid, afaict.

Note You need to log in before you can comment on or make changes to this bug.